Subject: Re: [PATCH net v1] net/sched: Don't print dump stack in event of transmission timeout

From: Leon Romanovsky <[email-masked]>
Date: Mon, 13 Apr 2020 14:25:30 +0300

On Mon, Apr 13, 2020 at 11:01:42AM +0000, Jose Abreu wrote:
> From: Leon Romanovsky <[email-masked]>
> Date: Apr/13/2020, 11:54:08 (UTC+00:00)
>
> > Sorry, if I misunderstood you, but you are proposing to count traffic, right?
> >
> > If yes, RDMA traffic bypasses the SW stack and not visible to the kernel, hence
> > the BQL will count only ETH portion of that mixed traffic, while RDMA traffic
> > is the one who "blocked" transmission channel (QP in RDMA terminology).
>
> Sorry but you don't mention in your commit message that this is RDMA
> specific so that's why I brought up the topic of BQL. Apologies for the
> misunderstood.

No problem, I'm glad that you asked those questions, hope that my
answers clear the rationale behind change from WARN_ON to be pr_err().

Thanks

> ---
> Thanks,
> Jose Miguel Abreu